"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d85040>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d850d0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d85160>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d851f0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d85280>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d85310>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d853a0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d85430>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d854c0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d85550>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d855e0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d85670>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d85700>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d85790>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d85820>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d858b0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d85940>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d859d0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d85a60>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d85af0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d85b80>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d85c10>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d85ca0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d85d30>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d85e50>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d85dc0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d85ee0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d85f70>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d89040>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d890d0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d89160>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d891f0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d89280>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d89310>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d893a0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d89430>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d894c0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d89550>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d895e0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d89670>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d89700>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d89790>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d89820>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d898b0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d89940>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d899d0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d89a60>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d89af0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d89b80>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d89c10>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d89ca0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d89d30>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d89dc0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d89e50>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d89ee0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d89f70>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8d040>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8d0d0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8d160>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8d1f0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8d280>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8d310>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8d3a0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8d430>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8d4c0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8d670>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8d550>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8d700>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8d790>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8d820>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8d8b0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8d940>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8da60>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8d9d0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8daf0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8db80>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8dc10>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8dd30>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8dca0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8ddc0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8de50>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8dee0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8df70>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8f040>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f9310d8f0d0>)]
name: str = 'fr_HOCCN'
